Subject: bug#64204: C/C++ local variables not syntax highlighted if they start with $

From: Po Lu <[email-masked]>
Date: Thu, 22 Jun 2023 14:18:37 +0800

Eli Zaretskii <[email-masked]> writes:

> Sorry, I disagree, for the reasons I explained above.  (I don't mind
> this feature to be ON by default, though.)

Previously, this syntax (_only_ the syntax where an identifier starts
with $; CC Mode has always supported identifiers containing $, which are
also non-standard) would not be fontified at all, or would be fontified
randomly.  Why would that be desirable, and how would it help anyone
follow the Standard?

My objection to adding unnecessary options to CC Mode is because, for
some reason, these options end up requiring counter-intuitive steps to
modify, and slow down CC Mode by a tiny (but not negligible) amount.

For an example, see c-noise-macro-names or c-font-lock-extra-types, both
of which can only be set as file-local variables or before C Mode is
enabled.